API ReferenceOrganizations
List Invitations
List pending invitations for an organization.
Endpoint
GET /v1/organizations/{id}/invitationsBase URL: https://api-id.avnology.net
Authentication: API Key or OAuth token with admin:orgs:write scope
Request
Example Request
curl -X GETResponse
Success
Returns the appropriate response for the operation.
Errors
| Status | Code | Description |
|---|---|---|
| 404 | AVNOLOGY_AUTH_300 | Organization not found |
| 403 | AVNOLOGY_AUTH_100 | Insufficient permissions |
| 409 | AVNOLOGY_AUTH_301 | Member already exists (for add) |
Code Examples
JavaScript (fetch)
// See the API overview for request patterns
const response = await fetch('https://api-id.avnology.net/v1/organizations/{id}/invitations', {
method: 'GET',
headers: { 'Authorization': `Bearer ${apiKey}`, 'Content-Type': 'application/json' },
});Python (httpx)
import httpx
response = httpx.request("GET", "https://api-id.avnology.net/v1/organizations/{id}/invitations",
headers={"Authorization": f"Bearer {api_key}Go (net/http)
req, _ := http.NewRequestWithContext(ctx, "GET", "https://api-id.avnology.net/v1/organizations/{id}/invitations", nil)
req.Header.Set("Authorization", "Bearer "+apiKey)
resp, err Related
- Get Organization -- retrieve organization details
- List Organizations -- list all organizations